retcor-methods {xcms} | R Documentation

## Align retention times across samples with Obiwarp

### Description

Calculate retention time deviations for each sample. It is based on the code at http://obi-warp.sourceforge.net/. However, this function is able to align multiple samples, by a center-star strategy.

For the original publication see

Chromatographic Alignment of ESI-LC-MS Proteomics Data Sets by Ordered Bijective Interpolated Warping John T. Prince and, Edward M. Marcotte Analytical Chemistry 2006 78 (17), 6140-6152

### Arguments

`object` | the `xcmsSet` object
`plottype` | if `deviation` plot retention time deviation points and regression fit, and if `mdevden` also plot peak overall peak density and retention time correction peak density
`col` | vector of colors for plotting each sample
`ty` | vector of line and point types for plotting each sample
`profStep` | step size (in m/z) to use for profile generation from the raw data files
`r` | Responsiveness of warping. 0 will give a linear warp based on start and end points. 100 will use all bijective anchors
`g` | Gap penalty given in comma separated string: initiate,extend (*)Defaults: (gap_init,gap_extend) [by score type]: 'cor' = '0.3,2.4' 'cov' = '0,11.7' 'prd' = '0,7.8' 'euc' = '0.9,1.8'
`cor` | Score function: (*)cor (Pearson's R) or cor_opt (better runtime), cov (covariance), prd (product), euc (Euclidean distance)
`l` | Local rather than *global alignment
`i_` | Penalty for initiating alignment (for local alignment only) (*)Default: 0

### Value

An `xcmsSet` object

### Methods

object = "xcmsSet"
  retcor(object, method="obiwarp", plottype = c("none", "deviation", "mdevden"),col = NULL, ty = NULL, profStep=1, r=NULL, g=NULL, cor = NULL, l=NULL, i_=0)

### See Also

`xcmsSet-class`,

[Package xcms version 1.16.3 Index]